From: Kiyoshi Ueda <k-ueda@ct.jp.nec.com>

This patch rejects messages that can generate I/O while the device
itself is suspended.

Signed-off-by: Kiyoshi Ueda <k-ueda@ct.jp.nec.com>
Cc: Mike Anderson <andmike@linux.vnet.ibm.com>
Signed-off-by: Jun'ichi Nomura <j-nomura@ce.jp.nec.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-mpath.c |    5 +++++
 1 file changed, 5 insertions(+)

Index: linux-2.6.32/drivers/md/dm-mpath.c
===================================================================
--- linux-2.6.32.orig/drivers/md/dm-mpath.c
+++ linux-2.6.32/drivers/md/dm-mpath.c
@@ -1433,6 +1433,11 @@ static int multipath_message(struct dm_t
 		goto out;
 	}
 
+	if (dm_suspended(ti)) {
+		r = -EBUSY;
+		goto out;
+	}
+
 	if (argc == 1) {
 		if (!strnicmp(argv[0], MESG_STR("queue_if_no_path"))) {
 			r = queue_if_no_path(m, 1, 0);
